{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 26,
   "id": "6ab9b66e",
   "metadata": {},
   "outputs": [],
   "source": [
    "import wakeonlan\n",
    "def formatMac(mac:str):\n",
    "    #8C-C5-8C-0F-A9-93\n",
    "    mac = mac.replace('-',':')\n",
    "    return mac\n",
    "    \n",
    "# wakeonlan.send_magic_packet('8C:C5:8C:0F:A9:93', ip_address=\"192.168.0.89\")\n",
    "wakeonlan.send_magic_packet(formatMac('80-2B-F9-B5-C6-25'), ip_address=\"192.168.0.100\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "f5473029",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "base",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.4"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
